<?php

/************************************************************
* Adressbuch 1.1 (Installation)                             *
* Infos unter http://dev.trisaster.de/                      *
* Fr weitere Infos siehe beiliegende readme Datei          *
* Verwendung auf eigene Gefahr!!                            *
************************************************************/

error_reporting(E_ALL);

// Einstellungen Datenbank
define('MYSQL_HOST','localhost');
define('MYSQL_USER','dbu');
define('MYSQL_PASS','pass');
define('MYSQL_DATABASE','db');
define('MYSQL_PREFIX','adressbuch_');

/*********************** Proggramm ***************************/

// MySQL Klassen
class db
{
	var $_connect_id;
	
	// Stellt Verbindung her
	function db($host = "", $user = "", $pass = "")
	{
		if(!@$this->_connect_id = @mysql_connect($host, $user, $pass))
		{
			echo "An error has occurred: Error 011<br>\n";
			echo "MySQL-Error: ".mysql_errno()."<br>\n";
			echo mysql_error()."<br>\n";
			die('run <a href="install.php">install.php</a>');
		}
	}
	
	// Whlt Datenbank aus
	function select_db($database)
	{
		if(!@mysql_select_db($database, $this->_connect_id))
		{
			echo "An error has occurred: Error 012<br>\n";
			echo "MySQL-Error: ".mysql_errno()."<br>\n";
			echo mysql_error()."<br>\n";
			die('run <a href="install.php">install.php</a>');
		}
	}
}

class query
{
	var $_sql = "";
	var $_result = 0;
	var $_errno = 0;
	var $_error = "";
	
	// Fhrt MySQL Query aus, speichert die Resource ID und gibt ggf. Fehlermeldung
	function query($sql = "")
	{
		$this->_sql = trim($sql);
		$this->_result = mysql_query($this->_sql);
		if(!$this->_result)
		{
			echo "An error has occurred: Error 013<br>\n";
			$this->_errno = mysql_errno();
			$this->_error = mysql_error();
			if(DEBUG AND $this->error())
			{
				echo "MySQL-Error: ".$this->_errno."<br>\n";
				echo $this->_error."<br>\n";
			}
		}
	}
	
	// Liefert TRUE zurck, wenn _refult FALSE ist
	function error()
	{
		$temp = (bool) !$this->_result;
		return $temp;
	}
	
	// Wenn error() FALSE zurck gibt, dann Zeile ausgeben
	function fetch()
	{
		if($this->error())
		{
			echo "An error has occurred: Error 014<br>\n";
		}
		else
		{
			$row_array = mysql_fetch_assoc($this->_result);
			return $row_array;
		}
	}
	
	function free()
	{
		mysql_free_result($this->_result);
	}
}

// MySQL Verbindung aufbauen
$mysql = new db(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
$mysql->select_db(MYSQL_DATABASE);

// Datenbanken anlegen
$sql= '
	CREATE TABLE '.MYSQL_PREFIX.'person
	(
		ID			SMALLINT AUTO_INCREMENT PRIMARY KEY,
		Vorname		VARCHAR(64),
		Nachname	VARCHAR(64),
		Strasse		VARCHAR(128),
		PLZ			VARCHAR(5),
		Ort			VARCHAR(32),
		Land		VARCHAR(24),
		Geschlecht	VARCHAR(1),
		GebY		SMALLINT,
		GebM		TINYINT,
		GebD		TINYINT,
		Tel1		VARCHAR(32),
		Tel2		VARCHAR(32),
		email1		VARCHAR(128),
		email2		VARCHAR(128),
		ICQ			VARCHAR(11),
		MSN			VARCHAR(128),
		Skype		VARCHAR(64),
		KontoNr		VARCHAR(12),
		BLZ			VARCHAR(12),
		Bank		VARCHAR(32),
		IBAN		VARCHAR(32),
		BIC			VARCHAR(32),
		Notiz		TEXT
	)
';
$query = new query($sql);
unset($query);

$sql= '
	CREATE TABLE '.MYSQL_PREFIX.'orte
	(
		ID			SMALLINT AUTO_INCREMENT PRIMARY KEY,
		Name		VARCHAR(24),
		Link		VARCHAR(255)
	)
';
$query = new query($sql);
unset($query);

$sql= '
	CREATE TABLE '.MYSQL_PREFIX.'verbindung
	(
		PID			SMALLINT,
		OID			SMALLINT,
		Name		VARCHAR(64),
		UID			VARCHAR(32)
	)
';
$query = new query($sql);
unset($query);

$sql= '
	CREATE TABLE '.MYSQL_PREFIX.'eintrag
	(
		ID			INT AUTO_INCREMENT PRIMARY KEY,
		PID			SMALLINT,
		Datum		INT,
		Text		TEXT,
		beendet		BOOL
	)
';
$query = new query($sql);
unset($query);

// Textausgabe zur Besttigung
echo 'Tabellen angelegt. install.php kann gelscht werden.'

?>